program Garage;
// --- Garage.DPR : E-Tec Garage Original ------------
//     Achtung : in Men Projekt | Optionen | Linker |
//               TextBildschirmanwendung markieren
uses FishFa30;
var
  ft: TFishFace;
  Geschlossen: Boolean;

begin
  ft := TFishFace.Create(false,    // --- ohne AnalogScan
                         false);   //     kein Slave
  try
    ft.OpenInterface('LPT');       // --- ACHTUNG : PortName anpassen
  except
    on e: EFishFace do begin
      WriteLn('poorFish : InterfaceProblem'); ReadLn; exit;
      end;
  end;
  WriteLn('Garage wird gestartet');
  ft.SetMotor(ftiM1, ftiRechts);
  ft.WaitForTime(300);
  ft.WaitForInput(ftiE3);
  ft.SetMotor(ftiM1, ftiAus);
  Geschlossen := True;

  repeat
    if Geschlossen and ft.GetInput(ftiE1) then begin
      ft.SetMotor(ftiM1, ftiLinks);
      ft.WaitForLow(ftiE3);
      ft.WaitForHigh(ftiE3);
      ft.SetMotor(ftiM1, ftiAus);
      Geschlossen := False;
      end
    else if not Geschlossen and not ft.GetInput(ftiE2) then begin
      ft.SetMotor(ftiM1, ftiRechts);
      ft.WaitForLow(ftiE3);
      ft.WaitForHigh(ftiE3);
      ft.SetMotor(ftiM1, ftiAus);
      Geschlossen := True;
      end;
  until ft.Finish(0);               // --- Programmende : Escape-Taste

  ft.CloseInterface;
  ft.Free;
  WriteLn('Garage beendet'); ReadLn;
end.
