// ---------------------------------------------------------------------------------
//
// roboFish.h                                                 Ulrich Mller 17.02.06
//                                                            PCS1700 Renesas C 4.00
// Deklarationen zu roboFish.c
//
// ---------------------------------------------------------------------------------

#include "TA_Firmware\TAF_00D.h";
#include "TA_Firmware\TAF_00P.h";

void  InitFish(void);
BOOL  GetInput(UCHAR InputNr);
UCHAR GetInputs(void);
UINT  GetAnalog(UCHAR AnalogNr);
UINT  GetVoltage(UCHAR VoltNr);
BOOL  GetIRKey(UCHAR Code, UCHAR KeyNr);
void  SetMotor(UCHAR MotorNr, UCHAR Dir, UCHAR Speed = 8);
UCHAR GetMotors(void);
void  SetMotors(UCHAR MotorStatus, UINT SpeedStatus = 0x7777);
void  SetLamp(UCHAR LampNr, BOOL OnOff, UCHAR Power = 8);
void  WaitForChange(UCHAR InputNr, UINT NrOfChanges, UCHAR TermNr=255);
void  WaitForInput(UCHAR InputNr, BOOL OnOff = TRUE);

