# ---------- AlarmP.py ---------------------------------------- 29.10.03    

from FishFa30 import *
from ctypes   import *

print "------ AlarmP wird gestartet ------"

mHupe = 1
eReed, eTime, eStop = 1, 2, 3
ftiEin, ftiAus = 1, 0

class FishFaceP(FishFace):
  def Pause(self, mSek, TermInput):
    sZeit = windll.kernel32.GetTickCount()
    while (windll.kernel32.GetTickCount() - sZeit) < mSek:
      if (windll.user32.GetAsyncKeyState(self.ESCAPE) != 0 
          or self.GetInput(TermInput)): return
      windll.kernel32.Sleep(self.PollInterval)

ft = FishFaceP()
      
try:
  ft.OpenInterface("LPT")                           # --- ACHTUNG : PortName
  
  while not ft.Finish():
    if not ft.GetInput(eReed):
      if ft.GetInput(eTime): PZ = 256
      else: PZ = 512
      while not(ft.GetInput(eReed) and ft.GetInput(eStop) or ft.Finish()):
        ft.SetMotor(mHupe, ftiEin)
        ft.Pause(PZ, eStop)
        ft.SetMotor(mHupe, ftiAus)
        ft.Pause(PZ, eStop)

except FishFaceException:
  print "FishFace Fehler"
print "------- AlarmP wird beendet -------"
ft.CloseInterface()

