/***********************************************************************/
/*                                                                     */
/*  FILE        :Stanze.c                                              */
/*  DATE        :Fri, Mar 03, 2006                                     */
/*  DESCRIPTION :eTec Stanzmaschine  mit vier Eingngen                */
/*  CPU GROUP   :24                                                    */
/*                                                                     */
/*  Ulrich Mller  Renesas C mit roboFish auf PCS1700                  */
/*                                                                     */
/***********************************************************************/

#include "roboFish.h"

#define mStanze 1
#define eOben 3
#define eZweiHand 1
#define eUntenReed 2
#define eLicht 4
#define dLinks 1
#define dRechts 2
#define dAus 0

UCHAR main(void) {
  InitFish();
	do {
		SetMotor(mStanze, dRechts);
		WaitForInput(eOben, FALSE);
		SetMotor(mStanze, dAus);
		WaitForInput(eZweiHand);
		SetMotor(mStanze, dLinks);
		FtDelay(300);
		do {
			if(!GetInput(eLicht)) break;
		} while(!GetInput(eUntenReed));
	} while(1);
	return(0);
	
}
